#include <KSGSStandart.h>

var int breite = 480;
var int hhe = 312;
var TextFeld berschrift;
var TextFeld patchNotes;
var Knopf zurck;

func void start()
{
	initTextFeld( berschrift, 0, 0, breite, 20, "News", 0x301 );
	var Text txt = "";
	txt += "Keine aktuellen News vorhanden.";
	initTextFeld( patchNotes, 10, 30, 460, 222, txt, 0x1101 );
	patchNotes.updateVScroll();
	patchNotes.setVScrollZuZeile( 0 );
	initKnopf( zurck, 190, 262, 100, 20, "Zurck", 0x1 );
	zurck.setMausEreignis( "zME" );
}

func void initTextFeld( TextFeld tf, int x, int y, int br, int h, Text t, int style )
{
	tf.setPosition( x, y );
	tf.setGre( br, h );
	tf.setText( t );
	tf.setStyle( style );
	tf.setSchriftFarbe( 0xFFFFFFFF );
}

func void initKnopf( Knopf k, int x, int y, int br, int h, Text t, int style )
{
	k.setPosition( x, y );
	k.setGre( br, h );
	k.setText( t );
	k.addStyle( style );
}

func bool maus( MausEreignis me )
{
	patchNotes.doMausEreignis( me );
	zurck.doMausEreignis( me );
	return me.verarbeitet;
}

func bool tick( double z )
{
	var bool ret = 0;
	ret |= patchNotes.tick( z );
	ret |= zurck.tick( z );
	return ret;
}

func void render( Bild rObj )
{
	berschrift.render( rObj );
	patchNotes.render( rObj );
	zurck.render( rObj );
}

func bool zME( MausEreignis me )
{
	if( me.id == 3 )
	{
		Rckruf( "Patcher/Start" );
	}
	return true;
}