#include <KSGSStandart.h>

var int breite = 480;
var int hhe = 312;
var TextFeld berschrift;
var TextFeld patchNotes;
var Knopf zurck;

func void start()
{
	initTextFeld( berschrift, 0, 0, breite, 20, "Patch Notes", 0x301 );
	var Text txt = "";
	txt += "Update: 0.0.0.34 erschienen am 19.10.2014 um 14:00 Uhr\n";
	txt += "Erneuerungen:\n";
	txt += " - Minigame 'Asteroids'\n";
	txt += "Behobene Fehler:\n";
	txt += " - Verschiebbarkeit des Patchers\n";
	txt += " - Anzeigefeler in den Patcher Optionen\n";
	txt += " - Fokus des Client Fensters nach start\n";
	txt += " - Absturz des Clients beim beenden\n";
	txt += "__________________________________________________________\n";
	txt += "Update: 0.0.0.33 erschienen am 24.08.2014. um 11:00 Uhr\n";
	txt += "Erneuerungen:\n";
	txt += " - Sounds bei bestimmten Ereignissen\n";
	txt += " - Neue Schrift\n";
	txt += " - Die CPU Auslastung verringert\n";
	txt += "Behobene Fehler:\n";
	txt += " - Minigame Fangen: Sichtbarkeit des Spielers\n";
	txt += " - Spiel Linie: Anzeigefehler in der Bestenliste\n";
	txt += " - Stillstand nach Spiel durch Laden ersetzt\n";
	txt += " - Spielstabilitt erhht\n";
	txt += "___________________________________________________________\n";
	txt += "Update: 0.0.0.32 erschienen am 05.08.2014 um 00:00 Uhr.\n";
	txt += "Erneuerungen:\n";
	txt += " - Aktualisieren von Spielen im Client\n";
	txt += " - 'Minigames' Oberflche\n";
	txt += " - Erhalten von Kupfer durch online Spiele\n";
	txt += " - 'Fertig' knopf in der Teamauswahl\n";
	txt += "Minigames:\n";
	txt += " - Blcke\n";
	txt += " - Snake\n";
	txt += " - Fangen\n";
	txt += " - Tetris\n";
	initTextFeld( patchNotes, 10, 30, 460, 222, txt, 0x1101 );
	patchNotes.updateVScroll();
	patchNotes.setVScrollZuZeile( 0 );
	initKnopf( zurck, 190, 262, 100, 20, "Zurck", 0x1 );
	zurck.setMausEreignis( "zME" );
}

func void initTextFeld( TextFeld tf, int x, int y, int br, int h, Text t, int style )
{
	tf.setPosition( x, y );
	tf.setGre( br, h );
	tf.setText( t );
	tf.setStyle( style );
	tf.setSchriftFarbe( 0xFFFFFFFF );
}

func void initKnopf( Knopf k, int x, int y, int br, int h, Text t, int style )
{
	k.setPosition( x, y );
	k.setGre( br, h );
	k.setText( t );
	k.addStyle( style );
}

func bool maus( MausEreignis me )
{
	patchNotes.doMausEreignis( me );
	zurck.doMausEreignis( me );
	return me.verarbeitet;
}

func bool tick( double z )
{
	var bool ret = 0;
	ret |= patchNotes.tick( z );
	ret |= zurck.tick( z );
	return ret;
}

func void render( Bild rObj )
{
	berschrift.render( rObj );
	patchNotes.render( rObj );
	zurck.render( rObj );
}

func bool zME( MausEreignis me )
{
	if( me.id == 3 )
	{
		Rckruf( "Patcher/Start" );
	}
	return true;
}