#include <KSGSStandart.h>

var Sule s1;
var Sule s2;
var Sule s3;
var Sule s4;
var Spieler p;
var bool luft = false;
var bool sStart = true;

class Sule
{
	private:
		var double x = 0;
		var int br = 100;
		var int y = 300;
		var int h = 100;
	public:
		func void set( int n )
		{
			x = n * 300;
			y = Rckruf( "zufall", 150, 450 );
		}
		func void tick( double zeit )
		{
			x = x - ( zeit * 60 );
			if( (x + br) < 0 )
			{
				x = 1100;
				y = ( ( ( ( y + 2 ) * ( zeit * 100 ) ) % 4 ) * 100 ) + 150;
			}
		}
		func void render( Bild b )
		{
			b.fllRegion( x, 0, br, y, 0xFFFFFFFF );
			b.fllRegion( x, y + h, br, 900 - ( y + h ), 0xFFFFFFFF );
		}
		func bool collidiert( int xp, int yp, int brp, int hp )
		{
			if( ( xp + brp ) > x && xp < ( x + br ) )
			{
				if( yp < y || ( yp + hp ) > ( y + h ) ) { return true; }
			}
			return false;
		}
};

class Spieler
{
	private:
		var int x = 120;
		var double y = 320;
		var int br = 40;
		var int h = 40;
		var double yS = 0;
		var double score = 0;
		var TextFeld scoreTF;
	public:
		func void set()
		{
			scoreTF.setPosition( 35, 35 );
			scoreTF.setGre( 100, 30 );
			scoreTF.setStyle( 0x901 );
			scoreTF.setSchriftFarbe( 0xFF00FF00 );
			scoreTF.setSchriftGre( 20 );
			scoreTF.setText( "Score: 0" );
			score = 0;
			y = 320;
			yS = 0;
		}
		func void tastatur( TastaturEreignis te )
		{
			yS = 10;
		}
		func void tick( double zeit )
		{
			score = score + ( zeit * 60 );
			y -= ( yS * zeit * 20 );
			yS -= ( zeit * 30 );
			var int sc;
			sc = ( score + 20 ) / 300;
			var Text sct = "Score: ";
			sct += sc;
			scoreTF.setText( sct );
		}
		func void render( Bild b )
		{
			b.fllRegion( x, y, br, h, 0xFF00FF00 );
			scoreTF.render( 0, 0, b );
		}
		func bool collidiert( Sule s )
		{
			if( y < 0 ){ return true; }
			if( (y + h ) > 700 ){ return true; }
			return s.collidiert( x, y, br, h );
		}
};

func void start()
{
	s1.set( 0 );
	s2.set( 1 );
	s3.set( 2 );
	s4.set( 3 );
	p.set();
}

func bool maus( MausEreignis me )
{
	return true;
}

func bool tastatur( TastaturEreignis te )
{
	if( te.id != 0 ){	return false; }
	if( luft != true )
	{
		if( sStart != true )
		{
	    s1.set( 0 );
	    s2.set( 1 );
	    s3.set( 2 );
	    s4.set( 3 );
		  p.set();
		}
		luft = true;
		sStart = false;
	}
	p.tastatur( te );
	return true;
}

func bool tick( double zeit )
{
	if( luft != true ){ return false; }
	s1.tick( zeit );
	s2.tick( zeit );
	s3.tick( zeit );
	s4.tick( zeit );
	p.tick( zeit );
	if( p.collidiert( s1 ) || p.collidiert( s2 ) || p.collidiert( s3 ) || p.collidiert( s4 ) ) { luft = false; }
	return true;
}

func void render( int xOff, int yOff, Bild rObj )
{
	s1.render( rObj );
	s2.render( rObj );
	s3.render( rObj );
	s4.render( rObj );
	p.render( rObj );
}