#include <KSGSStandart.h>

var int breite = 480;
var int hhe = 312;
var TextFeld berschrift;
var Knopf patchNotes;
var Knopf news;

func void start()
{
	initTextFeld( berschrift, 0, 0, breite, 20, "Willkommen bei Kolja Strohm - Games!", 0x301 );
	initKnopf( patchNotes, 10, 30, 120, 20, "Patch Notes", 0x1 );
	patchNotes.setMausEreignis( "pNME" );
	initKnopf( news, 10, 60, 120, 20, "News", 0x1 );
	news.setMausEreignis( "nME" );
}

func void initTextFeld( TextFeld tf, int x, int y, int br, int h, Text t, int style )
{
	tf.setPosition( x, y );
	tf.setGre( br, h );
	tf.setText( t );
	tf.setStyle( style );
	tf.setSchriftFarbe( 0xFFFFFFFF );
}

func void initKnopf( Knopf k, int x, int y, int br, int h, Text t, int style )
{
	k.setPosition( x, y );
	k.setGre( br, h );
	k.setText( t );
	k.addStyle( style );
}

func bool maus( MausEreignis me )
{
	patchNotes.doMausEreignis( me );
	news.doMausEreignis( me );
	return me.verarbeitet;
}

func bool tick( double z )
{
	var bool ret = 0;
	ret |= patchNotes.tick( z );
	ret |= news.tick( z );
	return ret;
}

func void render( Bild rObj )
{
	berschrift.render( rObj );
	patchNotes.render( rObj );
	news.render( rObj );
}

func bool pNME( MausEreignis me )
{
	if( me.id == 3 )
	{
		Rckruf( "Patcher/PatchNotes" );
	}
	return true;
}

func bool nME( MausEreignis me )
{
	if( me.id == 3 )
	{
		Rckruf( "Patcher/News" );
	}
	return true;
}